### Method

# Gdk ContentFormats get_mime_types

#### Declaration [src]

    const char* const*
    gdk_content_formats_get_mime_types (
      const GdkContentFormats* formats,
      gsize* n_mime_types
    )

#### Description [src]

Gets the mime types included in `formats`.

Note that `formats` may not contain any mime types, in particular when they are empty. In that case `NULL` will be returned.

#### Parameters

`n_mime_types` | `gsize*`
| Optional pointer to take the number of mime types contained in the return value.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | An array of `utf8`
| `NULL`-terminated array of interned strings of mime types included in `formats`.
| The array is `NULL`-terminated.
| The length of the array is in the `n_mime_types` argument.
| The data is owned by the instance.
| The return value can be `NULL`.